// Shades
@white: #FFF;
@lightgrey: #f0f0f0;
@grey: #999;
@darkgrey: #333;
@black: #000;

// Text color
@text: #212121;
@secondary-text: #727272;
@text-icons: #FFFFFF;

// Theme colors
@primary: #005596;
@accent: #03A9F4;
@dark-primary: #1976D2;
@light-primary: #F2F6FA;
@husky-blue: #0A5095;
@light-green: #81c784;
@divider-colors: #B6B6B6;

// Other colors
@yellow: #ffeb3b;
@red: #f44336;
@green: #4caf50;

//////////////////////////////////////////////////////////////////////////////////////////////
/////////////////// GENERAL //////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////

// Styles affecting all of the HTML can go here (font type, base size, etc)
html{

}

// Override materalize styles for dropdown menu
.dropdown-content {
  white-space: normal;
  word-wrap: normal;
  font-size: 0.8rem;
  z-index: 5;
  li {
    a {
      color: @primary;
    }
  }
}

// Fixes for wordwrapping on slide nav
.side-nav {
  &.dropdown-content {
    a {
      height: inherit;
      line-height: 20px;
      white-space: normal;
    }
  } 
}

.mobile-logo {
  padding-top: 20px;
}

.mobile-search {
  width: 100%;
}

.main-header {
  background-color: @white;
  margin-bottom: 0px;
  color: @husky-blue;
  a {
    color: @husky-blue;
  }
  h6 {
    margin: 2.8rem 0 1rem 0;
  }
}

.header-icons {
  box-shadow: none;
}

.main-navigation {
  background-color: @primary;
}

.header-icons {
  background-color: @white;
}

.page-footer {
  background-color: @primary !important;
}

.footer-copyright {
  background-color: @dark-primary !important;
}

.nav-logo {
  margin-right: 10px;
}

// Safety CSS for cards
.safety-button-container {
  padding: 0 !important;
}

.safety-button {
  background-color: @green !important;
  &:hover {
    background-color: @light-green !important;
  }
}

.search-list-item:hover{
  background-color: rgba(0, 0, 0, 0) !important;
}

// Fix for IE 9 omn nav search
nav {
  li {
    &.nav-icon {
      margin-top: 1rem;
    }
  }
  .input-field {
    margin-top: 1rem;

    input {
      height: 64px;
    }
  }
}

.new-event {
  margin-bottom: 10px;
}

#calendar {
  max-width: 900px;
  margin: 0 auto;
}

// This is the custom container around all of the templates
.custom-container {
  padding: 0 0.5rem;
  margin: 0 auto;
  width: 97%;
}

.title-smallcaps {
  font-variant: small-caps;
  display: inline-block;
}

.extra-padding {
  padding-bottom: 50px;
}

.icon-padding {
  padding-right: 10px;
}

.small-text {
  font-size: 0.8rem !important;
}

.footer-text {
  color: @white;
}

// Feedback div for popup modal, this allows it to be stick on the side of the page
#feedback { 
  position: fixed;
  right:-45px;
  top: 40%; 
  z-index: 999;
  transform: rotate(90deg);
  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=1);
  a {
    background-color: @accent;
  }
}

.icon-link {
  color: @text;
}

.dropdown-button {
  i {
    margin-left:0px;
  }
}

// Give the date on cards some space in the embedded cards
.card-date {
  margin: 10px auto 10px;
}

// Main card styles and styles per card
.card {
  border: 2px solid @dark-primary;

  .card-title-icon {
    display: inline-block;
    padding: 15px 15px 0px 15px;
  }

  &.card-alt {
    border: 2px solid @green;
    .card-title-icon {
      span {
        color: @green !important;
      }
    }
  }

  .card-action {
    border-top: 0px;
    padding: 0px;
    a {
      padding: 5px;
      margin-top: 12px;
      margin-bottom: 20px;
      color: @dark-primary !important;
      &:visited {
        color: @dark-primary !important;
      }
      &:hover {
        color: @white !important;
        background-color: @dark-primary !important;
      }
    }
  }

  &.inner {
    border: 2px solid @light-primary;
  }

  .card-title-icon {
    span {
      color: @dark-primary !important;
    }
  }

  h6 {
    padding-bottom: 10px
  }
  .card-content {
     padding: 0px 20px 20px 20px;
  }

  // Different card styles below
  &.card-blog {
    .card-content {
      padding: 20px;
    }
    .card-action {
      a {
//        margin-top: 120px;
      }
    }
  }


  &.card-idea {
    .card-action {
      a {
        margin-top: 34px;
      }
    }
    .ideas-info > p {
      font-size: 0.8rem;
    }
  }

  &.card-calendar {

  }

  &.card-commodities {
    // Padding for ticker update section on stock card
    .ticker-updated {
      margin: 35px auto 35px auto;
    }
  }

  &.card-dashboard {

  }

  &.card-safety {
    .card-content {
      padding: 20px;
    }
  }

  &.card-news {
    // This allows padding on one of the news internal cards
    .more-news{
      margin: 15px auto 15px;
    }
    .card-content {
      padding: 20px;
    }
    .card {
      h5 {
        font-size: 1.2rem;
      }
      &.card-news-inner {
        min-height: 237px;
      }
      .card-content {
        padding: 20px;
      }
    }
  }
}

.search-field {
  background-color: @primary;
}

.new-event-button {
  background-color: @dark-primary;
}

/* Agenda CSS for Calendar View */
.agenda-title {
  background-color: @dark-primary;
}
.agenda-time {
  color: @secondary-text;
}

.agenda-date {
  font-weight: bold;
  color: @text;
}

.agenda-event-title {
  font-weight: bold;
  color: @text;
}

.agenda-location {
  color: @secondary-text;
}

.agenda-owner {
  color: @secondary-text;
}

.agenda-desc {
  color: @text;
}
/* End Agenda CSS for Calendar View */

.btn:hover, .btn-large:hover {
  background-color: @primary;
}

.full-view {
  background-color: @dark-primary;
}

.title-text { 
  color: @text !important;
  font-weight: bold !important;
  font-size: 2.7em;
}

.white-title-text {
  color: @white !important;
}

.facility-button {
  background-color: @dark-primary;
}

table.striped tbody tr:nth-child(odd) {
  background-color: @light-primary !important;
}

// This is the square icon in the corner of each card
.square {
  width: 60px;
  height: 60px;
  background: @dark-primary;
  float:left;
  // Color internal icons white and resize the icon to one that fits inside
  i {
    color: @text-icons;
    font-size: 2.9rem;
  }
}

.square-alt {
  background-color: @green;
}

// For traffic lights on safety and dashboard cards
.circle {
  border-radius: 50%;
  width: 25px;
  height: 25px;
}

.yellow {
  background: @yellow;
}

.red {
  background: @red;
}

.green {
  background: @green;
}

// For the lists with alternating colors
.list-odd, .list-even {
  padding: 8px 15px 8px 15px!important;

  // Inner styling in card
  div {
    font-size: 1.1rem;
  }

  // Tickers for stock card in the list
  .ticker-name, .ticker-price, .ticker-change {
    font-weight: bold;
  }

  .ticker-change.up{
    color: @green;
  }
  .ticker-change.down{
    color: @red;
  }
}

// Set the colors for the alternating listd
.list-odd{
  background: @light-primary;
}

.list-even{
  background: @white;
}

.collapsible-header {
  height: 100%;
  line-height: 2rem;
  padding-bottom: 1rem;
  padding-top: 1rem;
}

.collapsible-body {
  background: @white;
}

// Responsive images
img {
  -ms-interpolation-mode: bicubic;
  max-width:100%;
  height:auto;
}

// Color of the blockquote 
blockquote {
    border-left: 5px solid @dark-primary;
}

// Load in the custom fonts and styles for the weather widget on the page
@font-face {
    font-family: 'weather';
    src: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/93/artill_clean_icons-webfont.eot');
    src: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/93/artill_clean_icons-webfont.eot?#iefix') format('embedded-opentype'),
         url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/93/artill_clean_icons-webfont.woff') format('woff'),
         url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/93/artill_clean_icons-webfont.ttf') format('truetype'),
         url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/93/artill_clean_icons-webfont.svg#artill_clean_weather_iconsRg') format('svg');
    font-weight: normal;
    font-style: normal;
}

/* Icons and styles for the weather card */
#weather {
  #today-temp {
    font-size: 2rem;
  }

  .sub-weather {
    padding-bottom: 20px;
  }

  i {
    color: @text;
    font-family: weather;
    font-size: 6rem;
    font-weight: normal;
    font-style: normal;
    line-height: 1.0;
  }
  i.small {
    font-size: 3rem;
  }
  // These icons define all the icons for yahoo weather
  .icon-0:before { content: ":"; }
  .icon-1:before { content: "p"; }
  .icon-2:before { content: "S"; }
  .icon-3:before { content: "Q"; }
  .icon-4:before { content: "S"; }
  .icon-5:before { content: "W"; }
  .icon-6:before { content: "W"; }
  .icon-7:before { content: "W"; }
  .icon-8:before { content: "W"; }
  .icon-9:before { content: "I"; }
  .icon-10:before { content: "W"; }
  .icon-11:before { content: "I"; }
  .icon-12:before { content: "I"; }
  .icon-13:before { content: "I"; }
  .icon-14:before { content: "I"; }
  .icon-15:before { content: "W"; }
  .icon-16:before { content: "I"; }
  .icon-17:before { content: "W"; }
  .icon-18:before { content: "U"; }
  .icon-19:before { content: "Z"; }
  .icon-20:before { content: "Z"; }
  .icon-21:before { content: "Z"; }
  .icon-22:before { content: "Z"; }
  .icon-23:before { content: "Z"; }
  .icon-24:before { content: "E"; }
  .icon-25:before { content: "E"; }
  .icon-26:before { content: "3"; }
  .icon-27:before { content: "a"; }
  .icon-28:before { content: "A"; }
  .icon-29:before { content: "a"; }
  .icon-30:before { content: "A"; }
  .icon-31:before { content: "6"; }
  .icon-32:before { content: "1"; }
  .icon-33:before { content: "6"; }
  .icon-34:before { content: "1"; }
  .icon-35:before { content: "W"; }
  .icon-36:before { content: "1"; }
  .icon-37:before { content: "S"; }
  .icon-38:before { content: "S"; }
  .icon-39:before { content: "S"; }
  .icon-40:before { content: "M"; }
  .icon-41:before { content: "W"; }
  .icon-42:before { content: "I"; }
  .icon-43:before { content: "W"; }
  .icon-44:before { content: "a"; }
  .icon-45:before { content: "S"; }
  .icon-46:before { content: "U"; }
  .icon-47:before { content: "S"; }
}

/* Start media queries for various fixes to the the materalizecss bootstrap */
// Overide navigation min and max for materalizeCSS
@media only screen and (max-width: 1075px) {
  .hide-on-above-med-and-down {
    display: none !important;
  }
  nav a.button-collapse {
    display: block;
  }
}

@media only screen and (max-width: 1267px) {
    // Remove the min height from cards when screen goes below 992px
    .card {
      min-height: 0px !important;

      .card-action {
        a {
          margin-top: 0px !important;
        }
      }
    }
}

//////////////////////////////////////////////////////////////////////////////////////////////
/////////////////// PRINT ////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////

@media print {
  * { background: transparent !important; color: black !important; box-shadow:none !important; text-shadow: none !important; filter:none !important; -ms-filter: none !important; } /* Black prints faster: h5bp.com/s */
  a, a:visited { text-decoration: underline; }
  a[href]:after { content: " (" attr(href) ")"; }
  abbr[title]:after { content: " (" attr(title) ")"; }
  .ir a:after, a[href^="javascript:"]:after, a[href^="#"]:after { content: ""; }  /* Don't show links for images, or javascript/internal links */
  pre, blockquote { border: 1px solid #999; page-break-inside: avoid; }
  thead { display: table-header-group; } /* h5bp.com/t */
  tr, img { page-break-inside: avoid; }
  img { max-width: 100% !important; }
  @page { margin: 0.5cm; }
  p, h2, h3 { orphans: 3; widows: 3; }
  h2, h3 { page-break-after: avoid; }
  header, footer, aside { display: none; visibility: hidden; }
}